# class Token

###

Module | kutils
Namespace | KEmoticonsTheme
Class | Token
Inherits |

A token consists of a QString text which is either a regular text or a path to image depending on the type. If type is Image the text refers to an image path. If type is Text the text refers to a regular text.

### methods

- Token ( )

  returns ctor

- Token (t, m)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  t | KEmoticonsTheme.TokenType |
  m | QString |

  Create a Token of type t, and text m

- Token (t, m, p, html)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  t | KEmoticonsTheme.TokenType |
  m | QString |
  p | QString |
  html | QString |

  Create a Token of type t, text m, image path p and html code html

### variables

QString picHTMLCode | \ html code
QString picPath | path to the image
QString text | text
TokenType type | type